
QGIS Application - Bug report #22070

QSettings(): /Projections/ ... defaultBehavior or defaultBehaviour?

2019-05-14 09:42 AM - Juan Manuel Perez

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:3.4.7 Regression?: No

Operating System: Windows 7 64 bits Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29883

Description

As of QGIS 2.18, one could ask in python the default behavior for handling layers without specific CRS:

   QSettings().value('/Projections/defaultBehaviour')

That would return 'prompt', 'useProject',...

As of Qgis 3.4, one should now ask not for 'defaultBehaviour' but for 'defaultBehavior'.

I only wanted to know if this change is going to be kept, or it was unintended and it is going to be reverted.

History

#1 - 2019-05-14 10:20 AM - Juan Manuel Perez

Tested in 3.7 Nightly and it works as in Qgis 3.4

#2 - 2019-05-17 07:37 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Please raise questions in the QGIS developers mailing list.
